import { encode, decode, CBORValue } from '@arduino/cbor-js';
import { CloudMessageValue } from "../client/IArduinoCloudClient";
declare function isPropertyValue(message: CBORValue | string[]): message is CBORValue;
declare function valueFrom(message: CBORValue | string[]): CloudMessageValue;
declare function nameFrom(property: CBORValue | string[]): string;
declare function toString(value: CBORValue[]): string;
declare function toCloudProtocolV2(cborValue: CBORValue): CBORValue;
declare function getSenML(name: string, value: CloudMessageValue, timestamp: number, useCloudProtocolV2: boolean, deviceId: string): CBORValue | CBORValue[];
declare const _default: {
    encode: typeof encode;
    decode: typeof decode;
    toString: typeof toString;
    getSenML: typeof getSenML;
    valueFrom: typeof valueFrom;
    nameFrom: typeof nameFrom;
    isPropertyValue: typeof isPropertyValue;
    toCloudProtocolV2: typeof toCloudProtocolV2;
};
export default _default;
